pub mod planeEigan {}
pub fn getEVals(a: f32, b: f32, c: f32, d: f32) -> (f32, f32) {
    let trace = a + d;
    let determinant = a * d - b * c;
    let descriminant = trace.powi(2) - (4. * determinant);
    let x1 = (-trace + (descriminant.powf(0.5))) / 2.0;
    let x2 = (-trace - (descriminant.powf(0.5))) / 2.0;
    (x1, x2)
}
